<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Formulario LogIn</title>
</head>

<body>

    <div class="contenedor">
        <h2>Ingreso a la Tienda </h2>
        <form id="forma" name="forma" action="../end.html">
            <div class="elemento">

                <input type="text" id="usuario" name="usuario" placeholder="Usuario">
                <div class="error" id="errorUsuario"></div>
            </div>

            <div class="elemento">

                <input type="password" id="password" name="password" placeholder="Password">
                <div class="error" id="errorPassword"></div>
            </div>

            <div class="elemento">
                <input onclick="return validadIngreso();" type="submit" value="Enviar">
            </div>
        </form>

    </div>
    <style>
        .error {
            font: 1em sans-serif;
            color: red;
        }
    </style>

    <script type="text/javascript">
        var usuario = document.getElementById('usuario');
        var password = document.getElementById('password');

        function validadIngreso() {


            var errorUsuario = document.getElementById('errorUsuario');
            var errorPassword = document.getElementById('errorPassword');

            if (usuario.value === null || usuario.value === "") {
                errorUsuario.innerHTML = `Ingrese Nombre de usuario`;
            } else {
                errorUsuario.innerHTML = ``;
                var a = true;
            }
            if (password.value === null || password.value === "") {
                errorPassword.innerHTML = `Ingrese contraseña de usuario`;
            } else {
                errorPassword.innerHTML = ``;
                var b = true;
            }


            if (a && b) {
                return true;

            } else {

                return false;
            }


        }
    </script>

</body>

</html>